@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.row {
  display: flex;
  justify-content: space-between;
  flex-direction: row !important;

  & > div:first-child {
    width: 42%;

    .label-description {
      margin-bottom: 0;
    }
  }

  & > div:last-child {
    width: 50%;
  }
}

.column {
  flex-direction: column !important;
}

.input-container {
  width: 100%;
  max-width: 344px;
  height: 65px;
  display: flex;
  flex-direction: column;
  position: relative;
  background: $whiteColor;
  border: 1px solid $greyColor;
  border-radius: 10px;
  @include font($fontGotham, 18px, 21.6px);
  color: $blackColor;
}

.label-description {
  width: 100%;
  @include font($fontGothamLight, 12px, 14.4px);
  color: $greyText;
  margin-bottom: 10px;
}

.input-label {
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText !important;
  margin-bottom: 0;
  transition: all 0.3s;
  pointer-events: none;

  text-overflow: ellipsis;
  overflow: hidden;
  width: 90%;
  white-space: nowrap;
}

.error {
  position: absolute;
  top: -5px;
  left: 0;
  width: max-content;
  z-index: 1;
  color: $errorColor;
}

.invalidContainer {
  border-bottom: 1px solid $errorColor !important;
}

.invalidLabel {
  color: $errorColor !important;
}

.disabled {
  cursor: not-allowed !important;
}
